Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon
Class TemplatesHandlerImpl

    java.lang.Object
      net.sf.saxon.event.ReceivingContentHandler
          net.sf.saxon.TemplatesHandlerImpl

All Implemented Interfaces:
  TemplatesHandler, ContentHandler, DTDHandler, LexicalHandler

    public class TemplatesHandlerImpl

extends ReceivingContentHandler
implements TemplatesHandler

TemplatesHandlerImpl implements the javax.xml.transform.sax.TemplatesHandler interface. It acts as a ContentHandler which receives a stream of SAX events representing a stylesheet, and returns a Templates object that represents the compiled form of this stylesheet.

Author:
  Michael H. Kay

Constructor Summary
`protected` | `TemplatesHandlerImpl(Configuration config)` Create a TemplatesHandlerImpl and initialise variables.

Method Summary
`String` | `getSystemId()` Get the systemId of the document
`Templates` | `getTemplates()` Get the Templates object to be used for a transformation
`void` | `setDocumentLocator(Locator locator)` Callback interface for SAX: not for application use
`void` | `setSystemId(String url)` Set the SystemId of the document.

Methods inherited from class net.sf.saxon.event.ReceivingContentHandler
`characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, getConfiguration, getPipelineConfiguration, getReceiver, ignorableWhitespace, isIgnoringIgnorableWhitespace, notationDecl, processingInstruction, reset, setIgnoreIgnorableWhitespace, setPipelineConfiguration, setReceiver, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, skippedEntity, startDocument, startElement, startPrefixMapping`

Constructor Detail

### TemplatesHandlerImpl

    protected TemplatesHandlerImpl(Configuration config)

  Create a TemplatesHandlerImpl and initialise variables. The constructor is protected, because the Filter should be created using newTemplatesHandler() in the SAXTransformerFactory class

  Parameters:
    `config` - the Saxon configuration

Method Detail

### getTemplates

    public Templates getTemplates()

  Get the Templates object to be used for a transformation

  Specified by:
    `getTemplates` in interface `TemplatesHandler`

### setSystemId

    public void setSystemId(String url)

  Set the SystemId of the document. Note that if this method is called, any locator supplied to the setDocumentLocator() method is ignored. This also means that no line number information will be available.

  Specified by:
    `setSystemId` in interface `TemplatesHandler`
  Parameters:
    `url` - the system ID (base URI) of the stylesheet document, which will be used in any error reporting and also for resolving relative URIs in xsl:include and xsl:import. It will also form the static base URI in the static context of XPath expressions.

### setDocumentLocator

    public void setDocumentLocator(Locator locator)

  Callback interface for SAX: not for application use

  Specified by:
    `setDocumentLocator` in interface `ContentHandler`
  Overrides:
    `setDocumentLocator` in class `ReceivingContentHandler`

### getSystemId

    public String getSystemId()

  Get the systemId of the document

  Specified by:
    `getSystemId` in interface `TemplatesHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.